scanbd(8)

NAME
scanbd- Scanner button monitoring daemon

SYNOPSIS
Polling mode:

scanbd [-c configfile ] [-f] [-d[debuglevel] ]

Manager-mode

The manager mode of scanbd that can be triggered by the -m option is not documented in this man-page but in scanbm(8)

DESCRIPTION
scanbd is a scanner button monitoring daemon that can trigger execution of scripts when a button on a scanner is pressed. scanbd (the scanner button daemon) opens and polls the scanner and therefore locks the device. So no other application can access the device directly (open the /dev/..., or via libusb, etc).

To enable scanning from applications, we use scanbm as a "proxy" for saned to access the scanner from an application. scanbm listens for requests on the saned network port for scanning requests. If a scan request arrives, scanbm requests the scanbd daemon to release the scanner. Then it starts the real saned which scans and sends the data back to the requesting application. When the scanning is done and saned exits, the scanbm daemon tells scanbd to resume polling the scanner.

scanbd polls the scanner regularly (the interval can be set in scanbd.conf ) and monitors for any scanner button to be pressed. If it detects a button press it triggers execution of the appropriate script as defined in scanbd.conf

OPTIONS

-c configfile --config=configfile
    Use configfile instead of the default /etc/scanbd/scanbd.conf configuration file.

-d[debuglevel] --debug[=debuglevel]
    turn debug mode on. If specified, set the debug level to debuglevel
    1 = error
    2 = warn
    3 = info
    4 - 7 = debug)

-f --foreground
    Run scanbd in the foreground

SIGNALS

SIGUSR1
    Stop polling and relase the scanner (used by scanbm )

SIGUSR1
    Resume polling (used by scanbm )

SIGHUP
    Rescan for available devices (useful when no automatic detection is available (HAL, UDEV) )

MAIN SCANBD CONFIGURATION
scanbd and scanbm are configured trough scanbd.conf (/etc/scanbd/scanbd.conf). The distributed scanbd.conf contains a detailed explantion of the configuration options.

The -c option can be used to override the default configuration file.

SEE ALSO
scanbm(8), sane(7), saned(8), sane-dll(5), sane-net(5) /etc/scanbd/scanbd.conf
http://scanbd.sourceforge.net

AUTHOR
Louis Lagendijk